Subject: RE: proposed text for last call issue03

From: "Noveck, Dave" <[email-masked]>
Date: Tue, 3 Sep 2002 10:06:20 -0700

RJ Atkinson wrote: 
> On Thursday, Aug 29, 2002, at 13:33 America/Montreal, Mike Eisler wrote:
> > The suggested edits below slightly modify the propsal. Instead of
> > overloading NFS4ERR_RESOURCE, a new error, NFS4ERR_CB_PATH_DOWN,
> > will be returned by RENEW to indicate to the client that the
> > callback path is down, and that the delegation has been potentially
> > revoking (if not already revoked).

> I *really* prefer this idea.  I like having different errors for
> indicating different events.  Overloading error semantics seems
> like a bad idea if it is easily avoided (as here).

I agree.  Overloading NFS4ERR_RESOURCE is a mistake.  I plead
temporary insanity.